//
//  YGViewController.m
//  SafariService
//
//  Created by yagom on 2013. 11. 2..
//  Copyright (c) 2013년 yagom. All rights reserved.
//

#import "YGViewController.h"
@import SafariServices;

@interface YGViewController ()

@end

@implementation YGViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // 읽기 목록에 추가해줄 URL입니다.
    NSURL *yagomURL = [NSURL URLWithString:@"http://blog.yagom.net"];
    
    // 읽기 목록에 추가가 가능한지 알아봅니다.
    if ([SSReadingList supportsURL:yagomURL])
    {
        // 기본 읽기 리스트 객체를 불러옵니다.
        SSReadingList *readingList = [SSReadingList defaultReadingList];
        
        // 객체를 제대로 가져왔는지 체크해야 합니다.
        if (readingList != nil)
        {
            // 에러가 생겼을 때 에러 주소를 받아올 포인터
            NSError *error = nil;

            // 읽기 목록에 URL을 추가해 준 후 결과를 BOOL 값으로 받아옵니다.
            BOOL isSuccess = [readingList addReadingListItemWithURL:yagomURL title:@"yagom's blog" previewText:@"야곰의 블로그입니다 :)" error:&error];
            // 성공 여부를 체크합니다.
            if (isSuccess == NO)
            {
                NSLog(@"%@", error);
            }
            else
            {
                NSLog(@"%@ added in reading list", [yagomURL absoluteString]);
            }
        }
        else
        {
            NSLog(@"Can not load SSReadingList");
        }
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
