//
//  YGAppDelegate.m
//  AirDrop
//
//  Created by yagom on 13. 10. 1..
//  Copyright (c) 2013년 yagom. All rights reserved.
//

#import "YGAppDelegate.h"

@implementation YGAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Override point for customization after application launch.
    return YES;
}
							
- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

- (BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation
{
    // 에러가 생겼을 때 에러객체 주소를 받을 변수
    NSError *error = nil;
    
    // 전송된 파일의 url이 넘어오므로, 해당 파일을 UTF8 인코딩을 사용하여 NSString 객체로 변환
    NSString *dataString = [[NSString alloc] initWithContentsOfURL:url encoding:NSUTF8StringEncoding error:&error];
    
    // 로그 출력
    NSLog(@"String : %@ error : %@", dataString, error);
    
    // 들어온 메세지를 얼럿 뷰로 표시
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"AirDrop Message" message:dataString delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
    [alert show];

    return YES;
}

@end
